Subject: Re: Feature Request: Branch Annotations

From: Marc Weber <[email-masked]>
Date: Wed, 8 Oct 2008 14:08:47 +0200

On Wed, Oct 08, 2008 at 12:41:43PM +0100, Baz wrote:
> 2008/10/8 Thomas Adam <[email-masked]>:
> > 2008/10/8 Rotem Yaari <[email-masked]>:
> >> Hi,
> >>
> >> I usually work with many branches in git, each of which represents a
> >> different state of development/stability, but also development tasks
> >> assigned to me.
> >> Sometimes, besides the name of the branch, it could be useful to have
> >> a short description of a branch which quickly reminds me what that
> >> branch is intended for.
> >>
> >> Currently I see no way in git to achieve this (there's a description
> >> for a repository, but not for individual branches).
> >>
> >> Any opinions on this?
[...]
Probably I've missed something. but doesn't top git add some special
files to remember branch relations?
I guess it removes them before merging upstream ?
I would have to reread the README or topGit source to confirm this.

Marc Weber